ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Myroslav Papirkovskyi (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMBARI-22544) Upgrade from Ambari 2.5.2 to 2.6.0 fails
Date Wed, 29 Nov 2017 14:15:00 GMT
Myroslav Papirkovskyi created AMBARI-22544:
----------------------------------------------

             Summary: Upgrade from Ambari 2.5.2 to 2.6.0 fails
                 Key: AMBARI-22544
                 URL: https://issues.apache.org/jira/browse/AMBARI-22544
             Project: Ambari
          Issue Type: Bug
          Components: ambari-server
    Affects Versions: 2.6.1
            Reporter: Myroslav Papirkovskyi
            Assignee: Myroslav Papirkovskyi
            Priority: Blocker
             Fix For: 2.6.1


When upgrading from Ambari 2.5.2 to Ambari 2.6.0, we hit this error preventing from completing
the ambari-server upgrade.
{noformat}
20 Nov 2017 11:39:08,115 ERROR [main] SchemaUpgradeHelper:202 - Upgrade failed.
com.mysql.jdbc.exceptions.jdbc4.MySQLIntegrityConstraintViolationException: Cannot delete
or update a parent row: a foreign key constraint fails (`ambari_01`.`clusters`, CONSTRAINT
`FK_clusters_upgrade_id` FOREIGN KEY (`upgrade_id`) REFERENCES `upgrade` (`upgrade_id`))
{noformat}

To get around this, he had to restore the db backup from 2.5.3 and adjust a table in mysql
with ‘update clusters set upgrade_id = null’ so a record in the ‘upgrades’ table could
be removed.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message